import { default as Model, ModelForwardAttributes } from '../models/model';
export declare function dummyPassAsync(model: Model<ModelForwardAttributes>): Promise<void>;
export interface MemoryRequirements {
    perBatch: number;
    tapeSize: number;
    gradients: number;
}
export declare function dummyPassTrainAsync(model: Model<ModelForwardAttributes>): Promise<MemoryRequirements>;
export declare function dummyPass(model: Model<ModelForwardAttributes>): void;
